Package: bouncycastle / 1.56-1+deb9u2

Metadata

Package Version Patches format
bouncycastle 1.56-1+deb9u2 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
02_index.patch | (download)

index.html | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 _index


fix encoding.patch | (download)

ant/bc+-build.xml | 12 8 + 4 - 0 !
1 file changed, 8 insertions(+), 4 deletions(-)

 fix encoding

Fix file encoding to prevent an error that would otherwise lead to empty doc
packages.

Bug: https://bugs.debian.org/798343

backward compatibility.patch | (download)

core/src/main/java/org/bouncycastle/asn1/x509/AlgorithmIdentifier.java | 6 6 + 0 - 0 !
1 file changed, 6 insertions(+)

 restore removed methods to preserve the backward compatiblity
CVE 2017 13098.patch | (download)

tls/src/main/java/org/bouncycastle/tls/crypto/impl/jcajce/JceDefaultTlsCredentialedDecryptor.java | 6 5 + 1 - 0 !
1 file changed, 5 insertions(+), 1 deletion(-)

---
CVE 2018 1000180_part1.patch | (download)

core/src/main/java/org/bouncycastle/crypto/generators/RSAKeyPairGenerator.java | 8 4 + 4 - 0 !
1 file changed, 4 insertions(+), 4 deletions(-)

 [patch] bja-694 cleaned up primality test


CVE 2018 1000180_part2.patch | (download)

core/src/main/java/org/bouncycastle/crypto/generators/RSAKeyPairGenerator.java | 8 4 + 4 - 0 !
1 file changed, 4 insertions(+), 4 deletions(-)

 [patch] bja-694 minor tweak to avoid method signature change